Name Status Last Modified Last Commit
lp:ubuntu/wily/vim-youcompleteme 1 Development 2015-08-07 12:25:01 UTC
7. * New upstream release. * Add ycmd de...

Author: Onur Aslan
Revision Date: 2015-08-07 12:25:01 UTC

* New upstream release.
* Add ycmd dependency version requirement.
* override_dh_auto_test in debian/rules to enable tests.
* Add python-flake8, python-hamcrest, python-mock, python-nose,
  python-flake8 and ycmd into Build-Depends for tests.
* Add copyright info for: python/ycm/tests/vimsupport_test.py.
* Update copyright years.

lp:ubuntu/wily-proposed/vim-youcompleteme 1 Development 2015-08-07 12:25:01 UTC
6. * New upstream release. * Add ycmd de...

Author: Onur Aslan
Revision Date: 2015-08-07 12:25:01 UTC

* New upstream release.
* Add ycmd dependency version requirement.
* override_dh_auto_test in debian/rules to enable tests.
* Add python-flake8, python-hamcrest, python-mock, python-nose,
  python-flake8 and ycmd into Build-Depends for tests.
* Add copyright info for: python/ycm/tests/vimsupport_test.py.
* Update copyright years.

lp:ubuntu/vivid-proposed/vim-youcompleteme 1 Development 2014-10-29 23:58:07 UTC
5. [ Onur Aslan ] * Enable tests for ycm...

Author: Onur Aslan
Revision Date: 2014-10-13 21:19:31 UTC

[ Onur Aslan ]
* Enable tests for ycm_core
* Add google-mock and libgtest-dev to Build-Depends
* More detailed description for 00-build-system.patch
* Override dh_auto_test to run ycm_core_tests
* Use canonical URI in Vcs-Git
* Add minimum version requirement to python-requests dependency
  (Closes: #745768)
* Bump standards to 3.9.6

[ Sebastian Ramacher ]
* debian/patches/03-tempdir.patch: Update patch to fix issues with
  :YcmRestartServer if the temporary directory got deleted to early.
  (Closes: #745496)

lp:ubuntu/vivid/vim-youcompleteme 2 Mature 2014-10-25 17:41:49 UTC
5. [ Onur Aslan ] * Enable tests for ycm...

Author: Onur Aslan
Revision Date: 2014-10-13 21:19:31 UTC

[ Onur Aslan ]
* Enable tests for ycm_core
* Add google-mock and libgtest-dev to Build-Depends
* More detailed description for 00-build-system.patch
* Override dh_auto_test to run ycm_core_tests
* Use canonical URI in Vcs-Git
* Add minimum version requirement to python-requests dependency
  (Closes: #745768)
* Bump standards to 3.9.6

[ Sebastian Ramacher ]
* debian/patches/03-tempdir.patch: Update patch to fix issues with
  :YcmRestartServer if the temporary directory got deleted to early.
  (Closes: #745496)

lp:ubuntu/utopic-proposed/vim-youcompleteme 2 Mature 2014-04-30 02:31:19 UTC
4. No change rebuild against boost1.55.

Author: Dimitri John Ledkov
Revision Date: 2014-04-29 10:53:07 UTC

No change rebuild against boost1.55.

lp:ubuntu/utopic/vim-youcompleteme 1 Development 2014-04-29 10:53:07 UTC
4. No change rebuild against boost1.55.

Author: Dimitri John Ledkov
Revision Date: 2014-04-29 10:53:07 UTC

No change rebuild against boost1.55.

lp:ubuntu/trusty/vim-youcompleteme 2 Mature 2014-03-10 16:12:04 UTC
3. [ Onur Aslan ] * New upstream version...

Author: Onur Aslan
Revision Date: 2014-02-13 23:55:54 UTC

[ Onur Aslan ]
* New upstream version
* Support for llvm-3.4 and llvm-3.5
* Refresh and update patches for new upstream version:
  + 00-build-system.patch:
    - Remove BoostParts from target_link_libraries for both CLIENT_LIB
      and SERVER_LIB
    - Remove Boost component thread and libboost-thread-dev from
      Build-Depends
    - Use cmake file function to find llvm include directory
    - Use additional clang versions (3.3, 3.4 and 3.5) in find_library
  + 01-script-folder-path.patch:
    - Use only one PYTHONPATH (/usr/lib/vim-youcompleteme) in vim plugin
      and python application
  + 02-default-conf.patch:
    - Set global_ycm_extra_conf in new configuration
* New python dependencies
* Install third party libraries into PYTHONPATH
* Copyright information for third party libraries
* Remove tests from final package
* Exclude some third party libraries from orig.tar.gz, they already exist
  in Debian
* Use minimum python version 2.7
* Update Vcs-Git and Vcs-Browser fields

[ Sebastian Ramacher ]
* debian/patches/03-tempdir.patch: Use temporary directory instead of
  /tmp/ycm_temp so that names of edited files are not leaked to other users.

lp:ubuntu/trusty-proposed/vim-youcompleteme 1 Development 2014-02-13 23:55:54 UTC
3. [ Onur Aslan ] * New upstream version...

Author: Onur Aslan
Revision Date: 2014-02-13 23:55:54 UTC

[ Onur Aslan ]
* New upstream version
* Support for llvm-3.4 and llvm-3.5
* Refresh and update patches for new upstream version:
  + 00-build-system.patch:
    - Remove BoostParts from target_link_libraries for both CLIENT_LIB
      and SERVER_LIB
    - Remove Boost component thread and libboost-thread-dev from
      Build-Depends
    - Use cmake file function to find llvm include directory
    - Use additional clang versions (3.3, 3.4 and 3.5) in find_library
  + 01-script-folder-path.patch:
    - Use only one PYTHONPATH (/usr/lib/vim-youcompleteme) in vim plugin
      and python application
  + 02-default-conf.patch:
    - Set global_ycm_extra_conf in new configuration
* New python dependencies
* Install third party libraries into PYTHONPATH
* Copyright information for third party libraries
* Remove tests from final package
* Exclude some third party libraries from orig.tar.gz, they already exist
  in Debian
* Use minimum python version 2.7
* Update Vcs-Git and Vcs-Browser fields

[ Sebastian Ramacher ]
* debian/patches/03-tempdir.patch: Use temporary directory instead of
  /tmp/ycm_temp so that names of edited files are not leaked to other users.

18 of 8 results